Subject: Re: [PATCH] introduce config core.binaryCheckFirstBytes for xdiff-interface

From: Junio C Hamano <[email-masked]>
Date: Fri, 07 Sep 2007 14:19:33 -0700

Gerrit Pape <[email-masked]> writes:

> xdiff-interface uses a hardcoded value of 8000 bytes to check from
> the top of data whether to handle it as binary content.  If a NULL
> character appears after the first 8000 bytes, git won't notice,

If the user has to set this to suit git better for a particular
project, I think the same effort is better spent on setting up
the attribute for that file so that git does not have to guess
the type, no?